## ZendX_JQuery_Form_Element_UiWidget

Description

Base Form Element for jQuery View Helpers

- copyright: Copyright (c) 2005-2008 Zend Technologies USA Inc. (http://www.zend.com)
- license: New BSD License

Located in /JQuery/Form/Element/UiWidget.php (line 33)

    Zend_Form_Element
       |
       --ZendX_JQuery_Form_Element_UiWidget

Direct descendents

Class | Description
--- | ---
ZendX_JQuery_Form_Element_AutoComplete | Form Element for jQuery Autocomplete View Helper
ZendX_JQuery_Form_Element_ColorPicker | Form Element for jQuery ColorPicker View Helper
ZendX_JQuery_Form_Element_DatePicker | Form Element for jQuery DatePicker View Helper
ZendX_JQuery_Form_Element_Slider | Form Element for jQuery Slider View Helper
ZendX_JQuery_Form_Element_Spinner | Form Element for jQuery Spinner View Helper

Variable Summary
array $jQueryParams
array $options
Method Summary
void __construct (mixed $spec, [mixed $options = null])
array getDecorators ()
string getJQueryParam (string $key)
array getJQueryParams ()
void loadDefaultDecorators ()
ZendX_JQuery_Form_Element_UiWidget setJQueryParam (string $key, string $value)
ZendX_JQuery_Form_Element_UiWidget setJQueryParams (Array $params)
ZendX_JQuery_Form_Element_UiWidget setView ([ $view = null])
Variables
array $jQueryParams = array() (line 40)

jQuery related parameters of this form element.

- access: public

array $options = array() (line 47)

Just here to prevent errors.

- access: public

Methods
Constructor __construct (line 56)

Constructor

- access: public

void __construct (mixed $spec, [mixed $options = null])

- mixed $spec
- mixed $options

getDecorators (line 154)

Retrieve all decorators

- throws: ZendX_JQuery_Form_Exception
- access: public

array getDecorators ()
getJQueryParam (line 68)

Get jQuery related parameter of this form element

- access: public

string getJQueryParam (string $key)

- string $key

getJQueryParams (line 79)

Get all currently known jQuery related parameters of this element

- access: public

array getJQueryParams ()
loadDefaultDecorators (line 115)

Load default decorators

- access: public

void loadDefaultDecorators ()
setJQueryParam (line 91)

Set a jQuery related parameter of this form element.

- access: public

ZendX_JQuery_Form_Element_UiWidget setJQueryParam (string $key, string $value)

- string $key
- string $value

setJQueryParams (line 104)

Set an array of jQuery related options for this element (merging with old options).

- access: public

ZendX_JQuery_Form_Element_UiWidget setJQueryParams (Array $params)

- Array $params

setView (line 138)

Set the view object

Ensures that the view object has the jQuery view helper path set.

- access: public

ZendX_JQuery_Form_Element_UiWidget setView ([ $view = null])

- Zend_View_Interface $view

Documentation generated on Mon, 24 Aug 2009 17:58:50 -0700 by phpDocumentor 1.4.2